Bug 575517 - fedoradev-pkgowners no longer works
Summary: fedoradev-pkgowners no longer works
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fedora-packager
Version: 15
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dennis Gilmore
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 611207 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-21 06:36 UTC by Mamoru TASAKA
Modified: 2011-09-07 03:45 UTC (History)
7 users (show)

Fixed In Version: fedora-packager-0.5.9.2-2.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-07 00:04:26 UTC
Type: ---


Attachments (Terms of Use)
fix URL (1.48 KB, patch)
2010-05-22 18:00 UTC, Remi Collet
no flags Details | Diff
Updated Remi's patch to have the URL configurable at the top of the file so it needn't be updated in more than one place. (1.39 KB, patch)
2010-08-11 16:55 UTC, Nils Philippsen
no flags Details | Diff

Description Mamoru TASAKA 2010-03-21 06:36:03 UTC
Description of problem:
As below:

[tasaka1@localhost ~]$ rpm -q fedora-packager
fedora-packager-0.4.1-1.fc13.noarch

[tasaka1@localhost ~]$ fedoradev-pkgowners xscreensaver
Could not download informations about owners from
https://admin.fedoraproject.org/pkgdb/acls/bugzilla?tg_format=plain ; aborting!


How reproducible:
100%

Comment 1 Remi Collet 2010-05-22 18:00:32 UTC
Created attachment 415883 [details]
fix URL

URL to get bugzilla ACL list have change.

Attached patch fix it.

Comment 2 Remi Collet 2010-05-22 18:01:23 UTC
Previous patch is for fedora-packager-0.4.2-1.fc13.noarch

Comment 3 Nils Philippsen 2010-08-11 16:40:49 UTC
*** Bug 611207 has been marked as a duplicate of this bug. ***

Comment 4 Nils Philippsen 2010-08-11 16:55:53 UTC
Created attachment 438229 [details]
Updated Remi's patch to have the URL configurable at the top of the file so it needn't be updated in more than one place.

Comment 5 Nils Philippsen 2010-08-11 17:00:57 UTC
I've filed this upstream at https://fedorahosted.org/fedora-packager/ticket/52 as well.

Comment 6 Nils Philippsen 2010-09-14 09:55:16 UTC
I think we should leave the version at 13 to ensure the fix will go in there as well. If necessary, we can always clone this bug for 14.

Comment 7 Susi Lehtola 2010-11-18 14:10:07 UTC
Could someone fix this..? I'm still seeing this on Fedora 14.

Comment 8 Bug Zapper 2011-06-02 16:02:13 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 9 Susi Lehtola 2011-06-02 17:04:04 UTC
Could you *please* fix this?

Comment 10 Fedora Update System 2011-08-27 17:46:43 UTC
fedora-packager-0.5.9.2-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/fedora-packager-0.5.9.2-2.fc15

Comment 11 Fedora Update System 2011-08-27 17:46:53 UTC
fedora-packager-0.5.9.2-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/fedora-packager-0.5.9.2-2.fc14

Comment 12 Fedora Update System 2011-08-27 17:47:01 UTC
fedora-packager-0.5.9.2-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/fedora-packager-0.5.9.2-2.fc16

Comment 13 Susi Lehtola 2011-08-27 17:51:24 UTC
As you can see, I used my provenpackager rights to apply the patch and push the updates to Fedora 14-16.

I didn't want to touch the EPEL branches, since the specs were not the same as in master, so someone should still fix this in EPEL.

Comment 14 Fedora Update System 2011-08-28 05:34:12 UTC
Package fedora-packager-0.5.9.2-2.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing fedora-packager-0.5.9.2-2.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/fedora-packager-0.5.9.2-2.fc16
then log in and leave karma (feedback).

Comment 15 Fedora Update System 2011-09-07 00:04:17 UTC
fedora-packager-0.5.9.2-2.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2011-09-07 00:07:07 UTC
fedora-packager-0.5.9.2-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2011-09-07 03:44:58 UTC
fedora-packager-0.5.9.2-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.